import * as React from 'react';
import { TextInput, View } from 'react-native';
import InputCurrencyProps from './InputCurrencyProps';
import { useState } from 'react';

export default React.forwardRef<TextInput, InputCurrencyProps>((props, ref) => {
    const [textValue, setTextValue] = useState('');

    console.log(props);

    return (
        <View style={{flex: 1, flex-direction: 'row'}}>

          <TextInput
            keyboardType='numeric'
            value={textValue}
            onChangeText{setTextValue}
            numberOfLines={1}
            ref={ref}/>
        </View>
    );
});
